<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsAnalogInData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_analog_in_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsAnalogInData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Data from analog inputs from sensors.  
 <a href="struct_xs_analog_in_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adaec7d749cb06a5f69a4e55605e42847"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adaec7d749cb06a5f69a4e55605e42847"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_analog_in_data.html#adaec7d749cb06a5f69a4e55605e42847">XsAnalogInData</a> ()</td></tr>
<tr class="memdesc:adaec7d749cb06a5f69a4e55605e42847"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a nulled analog data item. <br /></td></tr>
<tr class="separator:adaec7d749cb06a5f69a4e55605e42847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81aa202d5b38a1db8ef710af69205a4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81aa202d5b38a1db8ef710af69205a4e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_analog_in_data.html#a81aa202d5b38a1db8ef710af69205a4e">XsAnalogInData</a> (uint16_t data)</td></tr>
<tr class="memdesc:a81aa202d5b38a1db8ef710af69205a4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct analog-data with value <em>data</em>. <br /></td></tr>
<tr class="separator:a81aa202d5b38a1db8ef710af69205a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f7ae8889d02e910892f9b3c7fe522c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f7ae8889d02e910892f9b3c7fe522c1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_analog_in_data.html#a3f7ae8889d02e910892f9b3c7fe522c1">operator==</a> (<a class="el" href="struct_xs_analog_in_data.html">XsAnalogInData</a> const &amp;other) const </td></tr>
<tr class="memdesc:a3f7ae8889d02e910892f9b3c7fe522c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equality comparison. <br /></td></tr>
<tr class="separator:a3f7ae8889d02e910892f9b3c7fe522c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac6212beca96c1573f49a523938171548"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6212beca96c1573f49a523938171548"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_analog_in_data.html#ac6212beca96c1573f49a523938171548">m_data</a></td></tr>
<tr class="memdesc:ac6212beca96c1573f49a523938171548"><td class="mdescLeft">&#160;</td><td class="mdescRight">The data. <br /></td></tr>
<tr class="separator:ac6212beca96c1573f49a523938171548"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data from analog inputs from sensors. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
